PDA

View Full Version : 3.2.2 API Doc



jlin_boozallen
8 Sep 2010, 5:48 AM
I am seeing issues in our web application using 3.2.2 compared to 3.2.1 release running on IE6. All the links on the support site points to the 3.2.1 API doc, I'm wondering if there's a 3.2.2 API doc? Also are there any known differences between the two Ext versions for IE6 relating to the mask and unmask methods? Thanks.

-Jon

Condor
8 Sep 2010, 5:51 AM
No, the Ext 3.2.2 docs are not hosted on this site.

Deploy the Ext 3.2.2 SDK you downloaded to your own HTTP server and look at the API docs there.

jlin_boozallen
8 Sep 2010, 5:55 AM
the one that came with the 3.2.2 package is title 3.2.0. not sure if this is outdated? or just didn't update the title...

Condor
8 Sep 2010, 6:03 AM
I can't verify that. You'll need to ask a Developer Team member.

jlin_boozallen
8 Sep 2010, 9:28 AM
this is my code:



Ext.get('eventsCalendarSection').mask('Please Wait...', 'progressMessage');
Ext.Ajax.request({
url: myUrl,
method: 'POST',
params: filterParams,
success: function ( result, request ) {
...
Ext.get('eventsCalendarSection').unmask();
},
failure: function ( result, request) {
a...
Ext.get('eventsCalendarSection').unmask();
},
timeout: 90000000
});


this code will work in IE7 but will not work in IE6. After I comment out the Ext.Element.mask method, then it will work in IE6, of course no masking. I need the masking and need to support for IE6. Any thoughts why this is happening? thanks